org.apache.ignite.internal.managers

## Class IgniteMBeansManager

- java.lang.Object
- - org.apache.ignite.internal.managers.IgniteMBeansManager

    public class IgniteMBeansManager
    extends Object

Class that registers and unregisters MBeans for kernal.

### Constructor Summary

Constructors
Constructor and Description
`IgniteMBeansManager(IgniteKernal kernal)`

### Method Summary

All Methods Instance Methods Concrete Methods
`<T> void` `registerMBean(String grp, String name, T impl, Class<T> itf)` Register an Ignite MBean.

`void`

`registerMBeansAfterNodeStarted(ExecutorService utilityCachePool, ExecutorService execSvc, ExecutorService svcExecSvc, ExecutorService sysExecSvc, StripedExecutor stripedExecSvc, ExecutorService p2pExecSvc, ExecutorService mgmtExecSvc, StripedExecutor dataStreamExecSvc, ExecutorService restExecSvc, ExecutorService affExecSvc, @Nullable ExecutorService idxExecSvc, IgniteStripedThreadPoolExecutor callbackExecSvc, ExecutorService qryExecSvc, ExecutorService schemaExecSvc, ExecutorService rebalanceExecSvc, IgniteStripedThreadPoolExecutor rebalanceStripedExecSvc, @Nullable Map<String,? extends ExecutorService> customExecSvcs, WorkersRegistry workersRegistry)`
Registers kernal MBeans (for kernal, metrics, thread pools) after node start.

`void` `registerMBeansDuringInitPhase()` Registers kernal MBeans during init phase.
`boolean` `unregisterAllMBeans()` Unregisters all previously registered MBeans.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IgniteMBeansManager

    public IgniteMBeansManager(IgniteKernal kernal)

Parameters:
  `kernal` - Grid kernal.

### Method Detail

#### registerMBeansAfterNodeStarted

    public void registerMBeansAfterNodeStarted(ExecutorService utilityCachePool,
                                               ExecutorService execSvc,
                                               ExecutorService svcExecSvc,
                                               ExecutorService sysExecSvc,
                                               StripedExecutor stripedExecSvc,
                                               ExecutorService p2pExecSvc,
                                               ExecutorService mgmtExecSvc,
                                               StripedExecutor dataStreamExecSvc,
                                               ExecutorService restExecSvc,
                                               ExecutorService affExecSvc,
                                               @Nullable
                                               @Nullable ExecutorService idxExecSvc,
                                               IgniteStripedThreadPoolExecutor callbackExecSvc,
                                               ExecutorService qryExecSvc,
                                               ExecutorService schemaExecSvc,
                                               ExecutorService rebalanceExecSvc,
                                               IgniteStripedThreadPoolExecutor rebalanceStripedExecSvc,
                                               @Nullable
                                               @Nullable Map<String,? extends ExecutorService> customExecSvcs,
                                               WorkersRegistry workersRegistry)
                                        throws IgniteCheckedException

Registers kernal MBeans (for kernal, metrics, thread pools) after node start.

Parameters:
  `utilityCachePool` - Utility cache pool.
  `execSvc` - Executor service.
  `svcExecSvc` - Services' executor service.
  `sysExecSvc` - System executor service.
  `stripedExecSvc` - Striped executor.
  `p2pExecSvc` - P2P executor service.
  `mgmtExecSvc` - Management executor service.
  `dataStreamExecSvc` - data stream executor service.
  `restExecSvc` - Reset executor service.
  `affExecSvc` - Affinity executor service.
  `idxExecSvc` - Indexing executor service.
  `callbackExecSvc` - Callback executor service.
  `qryExecSvc` - Query executor service.
  `schemaExecSvc` - Schema executor service.
  `rebalanceExecSvc` - Rebalance executor service.
  `rebalanceStripedExecSvc` - Rebalance striped executor service.
  `customExecSvcs` - Custom named executors.
  `workersRegistry` - Worker registry.
Throws:
  `IgniteCheckedException` - if fails to register any of the MBeans.

#### registerMBeansDuringInitPhase

    public void registerMBeansDuringInitPhase()
                                       throws IgniteCheckedException

Registers kernal MBeans during init phase.

Throws:
  `IgniteCheckedException` - if fails to register any of the MBeans.

#### registerMBean

    public <T> void registerMBean(String grp,
                                  String name,
                                  T impl,
                                  Class<T> itf)
                           throws IgniteCheckedException

Register an Ignite MBean.

Type Parameters:
  `T` - bean type
Parameters:
  `grp` - bean group name
  `name` - bean name
  `impl` - bean implementation
  `itf` - bean interface
Throws:
  `IgniteCheckedException` - if registration fails

#### unregisterAllMBeans

    public boolean unregisterAllMBeans()

Unregisters all previously registered MBeans.

Returns:
  `true` if all mbeans were unregistered successfully; `false` otherwise.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.1
Release Date | : December 20 2021